# $Revision: 1.14 $, $Date: 2002/10/14 05:35:02 $
# TODO:
#   make --enable-docs work.
#   library should be installed in /usr/lib.
#
Summary:	Libraries for digital cameras
Summary(es):	Foto GNU (gphoto) Release 2
Summary(pl):	Biblioteki obsugi kamer cyfrowych
Summary(pt_BR):	GNU Photo - programa GNU para cmeras digitais
Name:		gphoto2
Version:	2.1.0
Release:	8
License:	GPL
Group:		Applications
Source0:	http://prdownloads.sourceforge.net/gphoto/%{name}-%{version}.tar.bz2
Patch0:		%{name}-m4.patch
Patch1:		%{name}-am_ac.patch
URL:		http://www.gphoto.net/
BuildRequires:	XFree86-devel
BuildRequires:	aalib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	cdk-devel
BuildRequires:	findutils
BuildRequires:	gettext-devel
BuildRequires:	libexif-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libusb-devel
BuildRequires:	libtool >= 1.4.2-9
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	gphoto2-lib
Provides:	gphoto2-lib

%description
Libraries for digital cameras.

%description -l es
Foto GNU (gphoto).

%description -l pl
Biblioteki obsugi kamer cyfrowych.

%description -l pt_BR
O programa gphoto faz parte do projeto GNOME e  uma interface para
uma grande variedade de cmeras fotogrficas digitais.

%package progs
Summary:	Digital camera software
Summary(pl):	Oprogramowanie dla kamer cyfrowych
Group:		Libraries
Requires:	%{name} >= %{version}

%description progs
Digital camera software.

%description progs -l pl
Oprogramowanie dla kamer cyfrowych.

%package devel
Summary:	Header files for gphoto2
Summary(es):	Archivos de deserrolo de gphoto2
Summary(pl):	Pliki nagwkowe dla gphoto2
Summary(pt_BR):	Arquivos de desenvolvimento do gphoto2
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libexif-devel
Obsoletes:	gphoto2-lib-devel

%description devel
Header files for gphoto2.

%description devel -l es
Archivos de desarrolo de gphoto2.

%description devel -l pl
Pliki nagwkowe dla gphoto2.

%description devel -l pt_BR
Arquivos de desenvolvimento do gphoto2.

%package static
Summary:	Static version of gphoto2
Summary(es):	Archivos de deserrolo de gphoto2
Summary(pl):	Statyczna wersja gphoto2
Summary(pt_BR):	Arquivos de desenvolvimento do gphoto2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Obsoletes:	gphoto2-lib-static

%description static
Static version of gphoto2.

%description static -l es
Archivos de desarrolo de gphoto2.

%description static -l pl
Statyczna wersja gphoto2.

%description static -l pt_BR
Arquivos de desenvolvimento do gphoto2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd libgphoto2_port
rm -f missing
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
cd ..

CPPFLAGS="-I/usr/include/cdk -I/usr/include/ncurses"
%configure CPPFLAGS="$CPPFLAGS"
	#--enable-docs --- doesn't build.
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%find_lang %{name}
%find_lang libgphoto2_port

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f libgphoto2_port.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*.*.*
%dir %{_libdir}/gphoto2
%dir %{_libdir}/gphoto2/%{version}
%attr(755,root,root) %{_libdir}/gphoto2/%{version}/libgphoto2_*.??
%dir %{_libdir}/gphoto2_port
%dir %{_libdir}/gphoto2_port/0.5.0
%attr(755,root,root) %{_libdir}/gphoto2_port/0.5.0/libgphoto2_port_*.??

%files progs -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_bindir}/gphoto2
%{_datadir}/%{name}
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gphoto2-*
%attr(755,root,root) %{_libdir}/*.la
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/gphoto2
%{_pkgconfigdir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%{_libdir}/gphoto2/%{version}/lib*.a
%{_libdir}/gphoto2_port/0.5.0/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gphoto2.spec,v $
Revision 1.14  2002/10/14 05:35:02  kloczek
- release 8: merge translations from Conectiva.

Revision 1.13  2002/10/09 13:14:28  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/09/22 19:26:07  marcus
- totally removed gphoto2-lib name from desc.
- addedd Provides gphoto2-lib to compatibility
- rel.7.

Revision 1.11  2002/08/30 11:29:43  kloczek
- release 6: added gphoto2-lib-* to Obsoletes.

Revision 1.10  2002/08/30 01:52:03  kloczek
- package renams: gphoto2-lib -> gphoto2, gphoto2-lib-devel -> gphoto2-devel,
  gphoto2-lib-static -> gphoto2-static, gphoto2 -> gphoto2-progs.

Revision 1.9  2002/08/30 01:07:34  kloczek
- updated to 2.1.0 (release 5).

Revision 1.8  2002/06/16 15:02:49  qboosh
- changed _prefix and Group - ghoto2 is not X11 app
  (only libaa, which is placed in /usr/lib, causes libX11 dependancy -
   it's sick and should be changed...)
- new %%doc, some fixes in %%files, added missing dirs
- renamed -static to lib-static (to match lib-devel)
- BR: autoconf, automake
- release 0.6

Revision 1.7  2002/05/21 23:13:24  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/04/30 17:33:08  misiek
- now it's really fixed

Revision 1.5  2002/04/30 15:49:44  misiek
- remove ncurses patch (instead use CPPFLAGS), fix cdk detection, disable am/ac regeneration

Revision 1.4  2002/04/16 19:12:35  mkochano
- Release 0.5.
- lib subpackage does not require main package.
- Removed LD_LIBARAY_PATH setting.
- Added %post{,un} sections.
- bin/*-config moved to -devel subpackage.

Revision 1.3  2002/04/10 17:37:12  mkochano
- Release 0.3.
- lib-devel subpackage Requires: libexif-devel.

Revision 1.2  2002/04/09 22:08:00  mkochano
- Release 0.2.
- Fixed libtool problems (thanks to Blues <blues@pld.org.pl>).
- All files are packages, but probably some of them are in wrong
  subpackages.

Revision 1.1  2002/04/07 14:37:13  mkochano
- Release 0.1.
- Version 2.0.
- It builds, but there are two problems:
  * It is installed in /usr/X11R6. Only program should go there.
    Libraries don't depend on X11. I don't know how to split them.
    Please remember about gphoto2-config.
  * There are errors in build log, which don't stob building, but I
    think they are serious:
    /usr/bin/ld: cannot find -lgphoto2_port
    collect2: ld returned 1 exit status
    libtool: install: error: relink `libgphoto2_port_serial.la' with the above command before installing it
    libtool: install: warning: remember to run `libtool --finish /usr/X11R6/lib/gphoto2_port/0.0.4'
    (there are lots of them).
